uk.ac.starlink.fits

## Class BintableColumnHeader

- java.lang.Object
- - uk.ac.starlink.fits.BintableColumnHeader

-     public abstract class BintableColumnHeader
      extends java.lang.Object

  Understands how per-column metadata is stored in the headers of a FITS BINTABLE extension.
  Since:
    21 Mar 2017

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BintableColumnHeader()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(HeaderCards cards, java.lang.String stdName)` Indicates whether a given header card is present for this object's column.
    `static BintableColumnHeader` | `createStandardHeader(int jcol)` Returns an instance of this class for use with standard FITS BINTABLE headers.
    `java.lang.Double` | `getDoubleValue(HeaderCards cards, java.lang.String stdName)` Returns the double precision value of a header card for this object's column.
    `abstract java.lang.String` | `getKeyName(java.lang.String stdName)` Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.
    `java.lang.Long` | `getLongValue(HeaderCards cards, java.lang.String stdName)` Returns the long integer value of a header card for this object's column.
    `java.lang.String` | `getStringValue(HeaderCards cards, java.lang.String stdName)` Returns the string value of a header card for this object's column.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BintableColumnHeader

          protected BintableColumnHeader()

      Constructor.

  - ### Method Detail

    - #### getKeyName

          public abstract java.lang.String getKeyName(java.lang.String stdName)

      Gives the name of the actual FITS header card for the column managed by this object and a standard FITS BINTABLE base header name.
      Parameters:
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        complete FITS header card key name

    - #### getStringValue

          public java.lang.String getStringValue(HeaderCards cards,
                                                 java.lang.String stdName)

      Returns the string value of a header card for this object's column.
      Parameters:
        `cards` - header collection
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        string value, or null for absent header

    - #### getLongValue

          public java.lang.Long getLongValue(HeaderCards cards,
                                             java.lang.String stdName)

      Returns the long integer value of a header card for this object's column.
      Parameters:
        `cards` - header collection
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        long value, or null for absent header

    - #### getDoubleValue

          public java.lang.Double getDoubleValue(HeaderCards cards,
                                                 java.lang.String stdName)

      Returns the double precision value of a header card for this object's column.
      Parameters:
        `cards` - header collection
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        double value, or null for absent header

    - #### containsKey

          public boolean containsKey(HeaderCards cards,
                                     java.lang.String stdName)

      Indicates whether a given header card is present for this object's column.
      Parameters:
        `cards` - header collection
        `stdName` - standard base name for the metadata item (for instance "TFORM" for TFORMnnn)
      Returns:
        true iff header is present

    - #### createStandardHeader

          public static BintableColumnHeader createStandardHeader(int jcol)

      Returns an instance of this class for use with standard FITS BINTABLE headers.
      Parameters:
        `jcol` - column index (first column has value 1)
      Returns:
        new instance